0

I am trying to install Serpent and PyEPM on ubuntu and I am receiving this error message: "Could not initialize package"

The commands I run:

sudo apt-get install Serpent

pip install pyepm

What am I doing wrong.

  • Hi Nomi - are you following a set of instructions? – Richard Horrocks Jul 21 '17 at 13:22
  • Hi, I'm new to ethereum and Linux, and trying to install the packages according to the instructions here github.com/etherex/pyepm and github.com/ethereum/serpent. pip already installed on my ubuntu. Are there any packages that I am supposed to install before the installation of Serpent and PyEPM? thanks – Nomi Jul 21 '17 at 16:03
1

How to install Serpent and PyEPM on ubuntu

I wouldn't.

Both of the repositories you link to in the comments are quite old. I wasn't familiar with pyepm, but its repository hasn't been touched in 2 years, and lots has happened since then.

More importantly, Vitalik recently voiced his lack of support for Serpent, saying it was "outdated tech" (see: Why did Serpent die?).

Serpent's GitHub repository also has this to say:

Being a low-level language, Serpent is NOT RECOMMENDED for building applications unless you really really know what you're doing. The creator recommends Solidity as a default choice, LLL if you want close-to-the-metal optimizations, or Viper if you like its features though it is still experimental.

So the recommendation would be to take a look at Viper instead.

0

My os is 4.4.0-116-generic #140-Ubuntu SMP Mon Feb 12 21:23:04 UTC 2018 x86_64 x86_64 x86_64 GNU/Linux

my pip version is pip 9.0.1 (python 2.7)

I use commands below to install what you want.

sudo pip install ethereum-serpent
pip install pyepm

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.